Resource

Workspace Notification Rule

Notification Rule for Third Party Workspaces

The Workspace Notification Rule Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    Long TextRequired
    Description

    Name of the Notification Rule

  • Name
    description
    Type
    Long Text
    Description

    Description of the Notification Rule

  • Name
    notificationRule
    Type
    JSONRequired
    Description

    Notification Rules for the Workspace

  • Name
    eventType
    Type
    TextRequired
    Description

    Event Type for the Workspace like Incident Created, Monitor Status Updated, etc.

  • Name
    workspaceType
    Type
    Long TextRequired
    Description

    Type of Workspace - slack, microsoft teams etc.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/workspace-notification-rule/get-list

List

This endpoint allows you to retrieve a paginated list of all your Workspace Notification Rule. By default, a maximum of ten Workspace Notification Rule are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/workspace-notification-rule/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "eventType": true,
    "name": true,
    "notificationRule": true,
    "projectId": true,
    "workspaceType": true
  },
  "query": {
    "eventType": "Example workspace event type"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37805ec0-28fe-11f1-b591-3fdcef396aba",
      "eventType": "Example workspace event type",
      "name": "Example rule name",
      "notificationRule": {
        "key": "value"
      },
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "workspaceType": "Example workspace type"
    },
    {
      "_id": "37805ec1-28fe-11f1-b591-3fdcef396aba",
      "eventType": "Example workspace event type",
      "name": "Example rule name",
      "notificationRule": {
        "key": "value"
      },
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "workspaceType": "Example workspace type"
    },
    {
      "_id": "37805ec2-28fe-11f1-b591-3fdcef396aba",
      "eventType": "Example workspace event type",
      "name": "Example rule name",
      "notificationRule": {
        "key": "value"
      },
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "workspaceType": "Example workspace type"
    }
  ]
}
GETorPOST/api/workspace-notification-rule/:id/get-item

Get item by ID

This endpoint allows you to retrieve Workspace Notification Rule by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/workspace-notification-rule/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "eventType": true,
    "name": true,
    "notificationRule": true,
    "projectId": true,
    "workspaceType": true
  }
}

Response

{
  "_id": "37805ec0-28fe-11f1-b591-3fdcef396aba",
  "eventType": "Example workspace event type",
  "name": "Example rule name",
  "notificationRule": {
    "key": "value"
  },
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "workspaceType": "Example workspace type"
}
POST/api/workspace-notification-rule/count

Count

This endpoint allows you to retrieve the count of all your Workspace Notification Rule.

Optional Request Body

Count Request

POST
/api/workspace-notification-rule/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "eventType": "Example workspace event type"
  }
}

Response

{
  "count": 107
}
POST/api/workspace-notification-rule

Create Workspace Notification Rule

This endpoint allows you to create a new object.

Create Request

POST
/api/workspace-notification-rule
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "eventType": "Example workspace event type",
    "name": "Example rule name",
    "notificationRule": {
      "key": "value"
    },
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "workspaceType": "Example workspace type"
  }
}

Response

{
  "_id": "37805ec0-28fe-11f1-b591-3fdcef396aba",
  "eventType": "Example workspace event type",
  "name": "Example rule name",
  "notificationRule": {
    "key": "value"
  },
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "workspaceType": "Example workspace type"
}
PUT/api/workspace-notification-rule/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/workspace-notification-rule/:id/update-item
GET/api/workspace-notification-rule/:id/update-item

Update Request

PUT
/api/workspace-notification-rule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "eventType": "Example workspace event type",
    "name": "Example rule name",
    "notificationRule": {
      "key": "value"
    }
  }
}

Response

{}
DELETE/api/workspace-notification-rule/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/workspace-notification-rule/:id/delete-item
GET/api/workspace-notification-rule/:id/delete-item

Delete Request

DELETE
/api/workspace-notification-rule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Workspace Notification Rule

  • Project Admin
  • Project Owner
  • Project Member
  • Read Workspace Notification Rule
  • Read All Project Resources

Create Permissions

Required to create Workspace Notification Rule

  • Project Admin
  • Project Owner
  • Project Member
  • Create Workspace Notification Rule

Update Permissions

Required to update Workspace Notification Rule

  • Project Admin
  • Project Owner
  • Project Member
  • Edit Workspace Notification Rule

Delete Permissions

Required to delete Workspace Notification Rule

  • Project Admin
  • Project Owner
  • Project Member
  • Delete Workspace Notification Rule